<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Settings</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_getCache" title="getCache ::Gets the implementation of cache that should be used for cell collection.">
            <span class="description">Gets the implementation of cache that should be used for cell collection.</span><pre>getCache</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getChartRenderer" title="getChartRenderer ::Return the Chart Rendering Library that PhpSpreadsheet is currently configured to use.">
            <span class="description">Return the Chart Rendering Library that PhpSpreadsheet is currently configured to use.</span><pre>getChartRenderer</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getLibXmlDisableEntityLoader" title="getLibXmlDisableEntityLoader ::Return the state of the entity loader (disabled/enabled) for libxml loader.">
            <span class="description">Return the state of the entity loader (disabled/enabled) for libxml loader.</span><pre>getLibXmlDisableEntityLoader</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getLibXmlLoaderOptions" title="getLibXmlLoaderOptions ::Get default options for libxml loader.">
            <span class="description">Get default options for libxml loader.</span><pre>getLibXmlLoaderOptions</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setCache" title="setCache ::Sets the implementation of cache that should be used for cell collection.">
            <span class="description">Sets the implementation of cache that should be used for cell collection.</span><pre>setCache</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setChartRenderer" title="setChartRenderer ::Identify to PhpSpreadsheet the external library to use for rendering charts.">
            <span class="description">Identify to PhpSpreadsheet the external library to use for rendering charts.</span><pre>setChartRenderer</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setLibXmlDisableEntityLoader" title="setLibXmlDisableEntityLoader ::Enable/Disable the entity loader for libxml loader.">
            <span class="description">Enable/Disable the entity loader for libxml loader.</span><pre>setLibXmlDisableEntityLoader</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setLibXmlLoaderOptions" title="setLibXmlLoaderOptions ::Set default options for libxml loader.">
            <span class="description">Set default options for libxml loader.</span><pre>setLibXmlLoaderOptions</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setLocale" title="setLocale ::Set the locale code to use for formula translations and any special formatting.">
            <span class="description">Set the locale code to use for formula translations and any special formatting.</span><pre>setLocale</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Settings</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_getCache"></a>
                        <div class="element clickable methodpublic method_getCache" data-toggle="collapse" data-target=".method_getCache .collapse">
                            <h2>Gets the implementation of cache that should be used for cell collection.</h2>
                            <pre>getCache(): \Psr\SimpleCache\CacheInterface</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/Psr.SimpleCache.CacheInterface.html">\Psr\SimpleCache\CacheInterface</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getChartRenderer"></a>
                        <div class="element clickable methodpublic method_getChartRenderer" data-toggle="collapse" data-target=".method_getChartRenderer .collapse">
                            <h2>Return the Chart Rendering Library that PhpSpreadsheet is currently configured to use.</h2>
                            <pre>getChartRenderer(): null|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>null|string</code><p><p>Class name of the chart renderer
eg: PhpOffice\PhpSpreadsheet\Chart\Renderer\JpGraph</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getLibXmlDisableEntityLoader"></a>
                        <div class="element clickable methodpublic method_getLibXmlDisableEntityLoader" data-toggle="collapse" data-target=".method_getLibXmlDisableEntityLoader .collapse">
                            <h2>Return the state of the entity loader (disabled/enabled) for libxml loader.</h2>
                            <pre>getLibXmlDisableEntityLoader(): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>$state</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getLibXmlLoaderOptions"></a>
                        <div class="element clickable methodpublic method_getLibXmlLoaderOptions" data-toggle="collapse" data-target=".method_getLibXmlLoaderOptions .collapse">
                            <h2>Get default options for libxml loader.</h2>
                            <pre>getLibXmlLoaderOptions(): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Defaults to LIBXML_DTDLOAD | LIBXML_DTDATTR when not set explicitly.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Default options for libxml loader</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setCache"></a>
                        <div class="element clickable methodpublic method_setCache" data-toggle="collapse" data-target=".method_setCache .collapse">
                            <h2>Sets the implementation of cache that should be used for cell collection.</h2>
                            <pre>setCache(\Psr\SimpleCache\CacheInterface $cache)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$cache</h4>
                                                <code><a href="../classes/Psr.SimpleCache.CacheInterface.html">\Psr\SimpleCache\CacheInterface</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setChartRenderer"></a>
                        <div class="element clickable methodpublic method_setChartRenderer" data-toggle="collapse" data-target=".method_setChartRenderer .collapse">
                            <h2>Identify to PhpSpreadsheet the external library to use for rendering charts.</h2>
                            <pre>setChartRenderer(string $rendererClass)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$rendererClass</h4>
                                                <code>string</code><p><p>Class name of the chart renderer
eg: PhpOffice\PhpSpreadsheet\Chart\Renderer\JpGraph</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setLibXmlDisableEntityLoader"></a>
                        <div class="element clickable methodpublic method_setLibXmlDisableEntityLoader" data-toggle="collapse" data-target=".method_setLibXmlDisableEntityLoader .collapse">
                            <h2>Enable/Disable the entity loader for libxml loader.</h2>
                            <pre>setLibXmlDisableEntityLoader(boolean $state)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Allow/disallow libxml_disable_entity_loader() call when not thread safe.
Default behaviour is to do the check, but if you're running PHP versions
7.2 &lt; 7.2.1
7.1 &lt; 7.1.13
7.0 &lt; 7.0.27
then you may need to disable this check to prevent unwanted behaviour in other threads
SECURITY WARNING: Changing this flag to false is not recommended.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$state</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setLibXmlLoaderOptions"></a>
                        <div class="element clickable methodpublic method_setLibXmlLoaderOptions" data-toggle="collapse" data-target=".method_setLibXmlLoaderOptions .collapse">
                            <h2>Set default options for libxml loader.</h2>
                            <pre>setLibXmlLoaderOptions(integer $options)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$options</h4>
                                                <code>integer</code><p><p>Default options for libxml loader</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setLocale"></a>
                        <div class="element clickable methodpublic method_setLocale" data-toggle="collapse" data-target=".method_setLocale .collapse">
                            <h2>Set the locale code to use for formula translations and any special formatting.</h2>
                            <pre>setLocale(string $locale): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$locale</h4>
                                                <code>string</code><p><p>The locale code to use (e.g. &quot;fr&quot; or &quot;pt_br&quot; or &quot;en_uk&quot;)</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>Success or failure</p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_chartRenderer"> </a>
                            <div class="element clickable propertyprivate property_chartRenderer" data-toggle="collapse" data-target=".property_chartRenderer .collapse">
                                <h2>Class name of the chart renderer used for rendering charts
eg: PhpOffice\PhpSpreadsheet\Chart\Renderer\JpGraph.</h2>
                                <pre>chartRenderer :string</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_libXmlLoaderOptions"> </a>
                            <div class="element clickable propertyprivate property_libXmlLoaderOptions" data-toggle="collapse" data-target=".property_libXmlLoaderOptions .collapse">
                                <h2>Default options for libxml loader.</h2>
                                <pre>libXmlLoaderOptions :integer</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_libXmlDisableEntityLoader"> </a>
                            <div class="element clickable propertyprivate property_libXmlDisableEntityLoader" data-toggle="collapse" data-target=".property_libXmlDisableEntityLoader .collapse">
                                <h2>Allow/disallow libxml_disable_entity_loader() call when not thread safe.</h2>
                                <pre>libXmlDisableEntityLoader :boolean</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"><p>Default behaviour is to do the check, but if you're running PHP versions
7.2 &lt; 7.2.1
7.1 &lt; 7.1.13
7.0 &lt; 7.0.27
then you may need to disable this check to prevent unwanted behaviour in other threads
SECURITY WARNING: Changing this flag is not recommended.</p></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_cache"> </a>
                            <div class="element clickable propertyprivate property_cache" data-toggle="collapse" data-target=".property_cache .collapse">
                                <h2>The cache implementation to be used for cell collection.</h2>
                                <pre>cache :\Psr\SimpleCache\CacheInterface</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/Psr.SimpleCache.CacheInterface.html">\Psr\SimpleCache\CacheInterface</a></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Settings"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.html">PhpSpreadsheet</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Settings.html">Settings</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:55 +0000.<br/>
    </footer></body>
</html>
